cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/apps \
--header 'Authorization: Bearer <token>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
const pageableResponse = await client.apps.list({
after: "after",
before: "before",
limit: 1,
q: "q",
sortKey: "name",
sortDirection: "asc",
categoryIds: ["category_ids"],
hasComponents: true,
hasActions: true,
hasTriggers: true
});
for await (const item of pageableResponse) {
console.log(item);
}
// Or you can manually iterate page-by-page
let page = await client.apps.list({
after: "after",
before: "before",
limit: 1,
q: "q",
sortKey: "name",
sortDirection: "asc",
categoryIds: ["category_ids"],
hasComponents: true,
hasActions: true,
hasTriggers: true
});
while (page.hasNextPage()) {
page = page.getNextPage();
}
// You can also access the underlying response
const response = page.response;
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
response = client.apps.list(
after="after",
before="before",
limit=1,
q="q",
sort_key="name",
sort_direction="asc",
category_ids=["category_ids"],
has_components=True,
has_actions=True,
has_triggers=True,
)
for item in response:
yield item
# alternatively, you can paginate page-by-page
for page in response.iter_pages():
yield page
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.apps.requests.AppsListRequest;
import com.pipedream.api.resources.apps.types.AppsListRequestSortDirection;
import com.pipedream.api.resources.apps.types.AppsListRequestSortKey;
import java.util.Arrays;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.build()
;
client.apps().list(
AppsListRequest
.builder()
.categoryIds(
Arrays.asList("category_ids")
)
.after("after")
.before("before")
.limit(1)
.q("q")
.sortKey(AppsListRequestSortKey.NAME)
.sortDirection(AppsListRequestSortDirection.ASC)
.hasComponents(true)
.hasActions(true)
.hasTriggers(true)
.build()
);
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"name_slug": "<string>",
"name": "<string>",
"img_src": "<string>",
"custom_fields_json": "<string>",
"categories": [
"<string>"
],
"featured_weight": 123,
"scope_profiles": [
{
"scopes": [
"<string>"
]
}
],
"id": "<string>",
"description": "<string>"
}
],
"page_info": {
"count": 10,
"total_count": 120,
"start_cursor": "<string>",
"end_cursor": "<string>"
}
}List apps
Retrieve all available apps with optional filtering and sorting
GET
/
v1
/
connect
/
apps
cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/apps \
--header 'Authorization: Bearer <token>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
const pageableResponse = await client.apps.list({
after: "after",
before: "before",
limit: 1,
q: "q",
sortKey: "name",
sortDirection: "asc",
categoryIds: ["category_ids"],
hasComponents: true,
hasActions: true,
hasTriggers: true
});
for await (const item of pageableResponse) {
console.log(item);
}
// Or you can manually iterate page-by-page
let page = await client.apps.list({
after: "after",
before: "before",
limit: 1,
q: "q",
sortKey: "name",
sortDirection: "asc",
categoryIds: ["category_ids"],
hasComponents: true,
hasActions: true,
hasTriggers: true
});
while (page.hasNextPage()) {
page = page.getNextPage();
}
// You can also access the underlying response
const response = page.response;
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
response = client.apps.list(
after="after",
before="before",
limit=1,
q="q",
sort_key="name",
sort_direction="asc",
category_ids=["category_ids"],
has_components=True,
has_actions=True,
has_triggers=True,
)
for item in response:
yield item
# alternatively, you can paginate page-by-page
for page in response.iter_pages():
yield page
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.apps.requests.AppsListRequest;
import com.pipedream.api.resources.apps.types.AppsListRequestSortDirection;
import com.pipedream.api.resources.apps.types.AppsListRequestSortKey;
import java.util.Arrays;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.build()
;
client.apps().list(
AppsListRequest
.builder()
.categoryIds(
Arrays.asList("category_ids")
)
.after("after")
.before("before")
.limit(1)
.q("q")
.sortKey(AppsListRequestSortKey.NAME)
.sortDirection(AppsListRequestSortDirection.ASC)
.hasComponents(true)
.hasActions(true)
.hasTriggers(true)
.build()
);
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"name_slug": "<string>",
"name": "<string>",
"img_src": "<string>",
"custom_fields_json": "<string>",
"categories": [
"<string>"
],
"featured_weight": 123,
"scope_profiles": [
{
"scopes": [
"<string>"
]
}
],
"id": "<string>",
"description": "<string>"
}
],
"page_info": {
"count": 10,
"total_count": 120,
"start_cursor": "<string>",
"end_cursor": "<string>"
}
}Authorizations
ConnectTokenOAuth2
A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.
Query Parameters
The cursor to start from for pagination
The cursor to end before for pagination
The maximum number of results to return
A search query to filter the apps
The key to sort the apps by
Available options:
name, name_slug, featured_weight The direction to sort the apps
Available options:
asc, desc Only return apps in these categories
The ID of an app category
Pattern:
^appcat_[a-zA-Z0-9]+$Only return apps that have components (actions or triggers)
Only return apps that have actions
Only return apps that have triggers
Was this page helpful?
⌘I